set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "7.1.1")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL2)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL2)
endif()

if( 7.1.1 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include/freetype2;/usr/include;/usr/include/python2.7;/usr/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtkChartsCore;vtkCommonColor;vtkCommonCore;vtksys;vtkCommonDataModel;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonExecutionModel;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersCore;vtkInfovisCore;vtkFiltersExtraction;vtkFiltersStatistics;vtkImagingFourier;vtkImagingCore;vtkalglib;vtkRenderingContext2D;vtkRenderingCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingFreeType;/usr/lib/libfreetype.so;/usr/lib/libz.so;vtkDICOMParser;vtkDomainsChemistry;vtkIOLegacy;vtkIOCore;vtkIOXMLParser;/usr/lib/libexpat.so;vtkDomainsChemistryOpenGL2;vtkRenderingOpenGL2;vtkIOImage;vtkmetaio;/usr/lib/libjpeg.so;/usr/lib/libpng.so;/usr/lib/libtiff.so;vtkglew;vtkFiltersAMR;vtkIOXML;vtkParallelCore;vtkFiltersFlowPaths;vtkFiltersGeneric;vtkFiltersHybrid;vtkImagingSources;vtkFiltersHyperTree;vtkFiltersImaging;vtkImagingGeneral;vtkFiltersModeling;vtkFiltersParallel;vtkFiltersParallelImaging;vtkFiltersPoints;vtkFiltersProgrammable;vtkFiltersPython;/usr/lib/libpython2.7.so;vtkWrappingPythonCore;vtkWrappingTools;vtkFiltersSMP;vtkFiltersSelection;vtkFiltersStatisticsGnuR;vtkFiltersTexture;vtkFiltersVerdict;verdict;vtkGUISupportQt;vtkInteractionStyle;vtkGUISupportQtSQL;vtkIOSQL;vtksqlite;vtkGeovisCore;vtkInfovisLayout;vtkImagingHybrid;vtkInteractionWidgets;vtkImagingColor;vtkRenderingAnnotation;vtkRenderingVolume;vtkViewsCore;vtkproj4;vtkIOAMR;/usr/lib/libhdf5.so;/usr/lib/libsz.so;/usr/lib/libdl.so;/usr/lib/libm.so;/usr/lib/libhdf5_hl.so;vtkIOEnSight;vtkIOExodus;vtkexoIIc;/lib/libnetcdf_c++.so;/lib/libnetcdf.so;vtkIOExport;vtkRenderingGL2PSOpenGL2;vtkgl2ps;vtkIOExportOpenGL2;vtkIOGeometry;vtkIOImport;vtkIOInfovis;/usr/lib/libxml2.so;vtkIOLSDyna;vtkIOMINC;vtkIOMovie;/usr/lib/libtheoraenc.so;/usr/lib/libtheoradec.so;/usr/lib/libogg.so;vtkIOMySQL;vtkIONetCDF;vtkIOPLY;vtkIOParallel;/usr/lib/libjsoncpp.so;vtkIOParallelXML;vtkIOPostgreSQL;vtkIOTecplotTable;vtkIOVideo;vtkImagingMath;vtkImagingMorphological;vtkImagingStatistics;vtkImagingStencil;vtkInteractionImage;vtkLocalExample;vtkRenderingContextOpenGL2;vtkRenderingImage;vtkRenderingLOD;vtkRenderingLabel;vtkRenderingParallel;vtkRenderingQt;vtkRenderingVolumeOpenGL2;vtkTestingGenericBridge;vtkTestingIOSQL;vtkTestingRendering;vtkViewsContext2D;vtkViewsGeovis;vtkViewsInfovis;vtkViewsQt;vtkWrappingJava)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL2
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

